org.eclipse.viatra.cep.core.engine.runtime

## Class RuntimePatterns

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup
  - - org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup
    - - org.eclipse.viatra.cep.core.engine.runtime.RuntimePatterns

- All Implemented Interfaces:
    IQueryGroup

      public final class RuntimePatterns
      extends BaseGeneratedPatternGroup

  A pattern group formed of all public patterns defined in runtimePatterns.vql.

  Use the static instance as any `org.eclipse.viatra.query.runtime.api.IPatternGroup`, to conveniently prepare a VIATRA Query engine for matching all patterns originally defined in file runtimePatterns.vql, in order to achieve better performance than one-by-one on-demand matcher initialization.

  From package org.eclipse.viatra.cep.core.engine.runtime, the group contains the definition of the following patterns:

  - latestEvent
  - finishedAutomaton
  - tokenInTrapState
  - tokenInInitState
  - tokenInFinalState
  - resettableEventToken
  - enabledTransition
  - enabledNegativeTransition
  - transitionWithEventType
  - negativeTransition
  - eventProcessedByEventToken
  - partiallyMatchedEventPattern
  - initState
  - tokenEntersTimedZone
  - tokenLeavesTimedZone
  - tokenInTimedZone
  See Also:
    `IPatternGroup`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `querySpecifications`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnabledNegativeTransitionQuerySpecification` | `getEnabledNegativeTransition()`
    `EnabledNegativeTransitionMatcher` | `getEnabledNegativeTransition(ViatraQueryEngine engine)`
    `EnabledTransitionQuerySpecification` | `getEnabledTransition()`
    `EnabledTransitionMatcher` | `getEnabledTransition(ViatraQueryEngine engine)`
    `EventProcessedByEventTokenQuerySpecification` | `getEventProcessedByEventToken()`
    `EventProcessedByEventTokenMatcher` | `getEventProcessedByEventToken(ViatraQueryEngine engine)`
    `FinishedAutomatonQuerySpecification` | `getFinishedAutomaton()`
    `FinishedAutomatonMatcher` | `getFinishedAutomaton(ViatraQueryEngine engine)`
    `InitStateQuerySpecification` | `getInitState()`
    `InitStateMatcher` | `getInitState(ViatraQueryEngine engine)`
    `LatestEventQuerySpecification` | `getLatestEvent()`
    `LatestEventMatcher` | `getLatestEvent(ViatraQueryEngine engine)`
    `NegativeTransitionQuerySpecification` | `getNegativeTransition()`
    `NegativeTransitionMatcher` | `getNegativeTransition(ViatraQueryEngine engine)`
    `PartiallyMatchedEventPatternQuerySpecification` | `getPartiallyMatchedEventPattern()`
    `PartiallyMatchedEventPatternMatcher` | `getPartiallyMatchedEventPattern(ViatraQueryEngine engine)`
    `ResettableEventTokenQuerySpecification` | `getResettableEventToken()`
    `ResettableEventTokenMatcher` | `getResettableEventToken(ViatraQueryEngine engine)`
    `TokenEntersTimedZoneQuerySpecification` | `getTokenEntersTimedZone()`
    `TokenEntersTimedZoneMatcher` | `getTokenEntersTimedZone(ViatraQueryEngine engine)`
    `TokenInFinalStateQuerySpecification` | `getTokenInFinalState()`
    `TokenInFinalStateMatcher` | `getTokenInFinalState(ViatraQueryEngine engine)`
    `TokenInInitStateQuerySpecification` | `getTokenInInitState()`
    `TokenInInitStateMatcher` | `getTokenInInitState(ViatraQueryEngine engine)`
    `TokenInTimedZoneQuerySpecification` | `getTokenInTimedZone()`
    `TokenInTimedZoneMatcher` | `getTokenInTimedZone(ViatraQueryEngine engine)`
    `TokenInTrapStateQuerySpecification` | `getTokenInTrapState()`
    `TokenInTrapStateMatcher` | `getTokenInTrapState(ViatraQueryEngine engine)`
    `TokenLeavesTimedZoneQuerySpecification` | `getTokenLeavesTimedZone()`
    `TokenLeavesTimedZoneMatcher` | `getTokenLeavesTimedZone(ViatraQueryEngine engine)`
    `TransitionWithEventTypeQuerySpecification` | `getTransitionWithEventType()`
    `TransitionWithEventTypeMatcher` | `getTransitionWithEventType(ViatraQueryEngine engine)`
    `static RuntimePatterns` | `instance()` Access the pattern group.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `getSpecifications`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static RuntimePatterns instance()
                                          throws ViatraQueryException

      Access the pattern group.
      Returns:
        the singleton instance of the group
      Throws:
        `ViatraQueryException` - if there was an error loading the generated code of pattern specifications

    - #### getLatestEvent

          public LatestEventQuerySpecification getLatestEvent()
                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getLatestEvent

          public LatestEventMatcher getLatestEvent(ViatraQueryEngine engine)
                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFinishedAutomaton

          public FinishedAutomatonQuerySpecification getFinishedAutomaton()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFinishedAutomaton

          public FinishedAutomatonMatcher getFinishedAutomaton(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInTrapState

          public TokenInTrapStateQuerySpecification getTokenInTrapState()
                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInTrapState

          public TokenInTrapStateMatcher getTokenInTrapState(ViatraQueryEngine engine)
                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInInitState

          public TokenInInitStateQuerySpecification getTokenInInitState()
                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInInitState

          public TokenInInitStateMatcher getTokenInInitState(ViatraQueryEngine engine)
                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInFinalState

          public TokenInFinalStateQuerySpecification getTokenInFinalState()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInFinalState

          public TokenInFinalStateMatcher getTokenInFinalState(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getResettableEventToken

          public ResettableEventTokenQuerySpecification getResettableEventToken()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getResettableEventToken

          public ResettableEventTokenMatcher getResettableEventToken(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEnabledTransition

          public EnabledTransitionQuerySpecification getEnabledTransition()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEnabledTransition

          public EnabledTransitionMatcher getEnabledTransition(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEnabledNegativeTransition

          public EnabledNegativeTransitionQuerySpecification getEnabledNegativeTransition()
                                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEnabledNegativeTransition

          public EnabledNegativeTransitionMatcher getEnabledNegativeTransition(ViatraQueryEngine engine)
                                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTransitionWithEventType

          public TransitionWithEventTypeQuerySpecification getTransitionWithEventType()
                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTransitionWithEventType

          public TransitionWithEventTypeMatcher getTransitionWithEventType(ViatraQueryEngine engine)
                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNegativeTransition

          public NegativeTransitionQuerySpecification getNegativeTransition()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNegativeTransition

          public NegativeTransitionMatcher getNegativeTransition(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEventProcessedByEventToken

          public EventProcessedByEventTokenQuerySpecification getEventProcessedByEventToken()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEventProcessedByEventToken

          public EventProcessedByEventTokenMatcher getEventProcessedByEventToken(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPartiallyMatchedEventPattern

          public PartiallyMatchedEventPatternQuerySpecification getPartiallyMatchedEventPattern()
                                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPartiallyMatchedEventPattern

          public PartiallyMatchedEventPatternMatcher getPartiallyMatchedEventPattern(ViatraQueryEngine engine)
                                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getInitState

          public InitStateQuerySpecification getInitState()
                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getInitState

          public InitStateMatcher getInitState(ViatraQueryEngine engine)
                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenEntersTimedZone

          public TokenEntersTimedZoneQuerySpecification getTokenEntersTimedZone()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenEntersTimedZone

          public TokenEntersTimedZoneMatcher getTokenEntersTimedZone(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenLeavesTimedZone

          public TokenLeavesTimedZoneQuerySpecification getTokenLeavesTimedZone()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenLeavesTimedZone

          public TokenLeavesTimedZoneMatcher getTokenLeavesTimedZone(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInTimedZone

          public TokenInTimedZoneQuerySpecification getTokenInTimedZone()
                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTokenInTimedZone

          public TokenInTimedZoneMatcher getTokenInTimedZone(ViatraQueryEngine engine)
                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`